Bug 309291 - capture can't be disabled in gnome-volume-control
capture can't be disabled in gnome-volume-control
Product: Fedora
Classification: Fedora
Component: gnome-media (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-27 12:46 EDT by Zack Cerza
Modified: 2009-01-09 02:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:16:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot (16.14 KB, image/png)
2007-09-27 13:40 EDT, Zack Cerza
no flags Details

  None (edit)
Description Zack Cerza 2007-09-27 12:46:11 EDT
Description of problem:
Using PA, I can enable mic capture under the settings tab, but I can't disable
it. Immediately after the box goes unchecked, it is checked again.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Zack Cerza 2007-09-27 13:33:54 EDT
Sorry, I meant the "Switches" tab. To see it, go to Preferences and check the
box next to "Microphone Capture".
Comment 2 Zack Cerza 2007-09-27 13:34:52 EDT
so... the "Capture" checkbox in Preferences might be the one that's *actually*
Comment 3 Bastien Nocera 2007-09-27 13:36:17 EDT
Lennart, does pulseaudio muck about with the capture status for input tracks?

Zack, can you reproduce without pulseaudio running?
Comment 4 Zack Cerza 2007-09-27 13:40:34 EDT
Created attachment 208741 [details]

Here's a screenshot, for clarification...
Comment 5 Zack Cerza 2007-09-28 15:31:24 EDT
Any special way I need to disable PA?
Comment 6 Bastien Nocera 2007-09-28 16:10:05 EDT
"killall -9 pulseaudio" will do.
Comment 7 Zack Cerza 2007-09-28 16:24:57 EDT
After killing pulseaudio, I can still reproduce this.
Comment 8 Lennart Poettering 2007-10-01 13:15:17 EDT
(In reply to comment #6)
> "killall -9 pulseaudio" will do.

Not so rude! ;-)

A friendly "pactl exit" should do the same. 
Comment 9 Lennart Poettering 2007-10-01 13:19:44 EDT
(In reply to comment #3)
> Lennart, does pulseaudio muck about with the capture status for input tracks?
> Zack, can you reproduce without pulseaudio running?

PA doesn't fiddle with the capture source controls in ALSA. All it does is
monitoring the ALSA volume scales. And it doesn't even set those, except the
user explicitly asks for it. 

I am quite sure that PA is not the culprit here.

Zack, does toggling the same control in alsamixer work?

(gnome-volume-control has some ugly hacks to change the mute control when volume
is set to 0 - maybe it does the same ugly hack for controlling the record input
source? Just a wild guess...)
Comment 10 Bastien Nocera 2007-10-03 06:52:19 EDT
I can reproduce that on my desktop machine.
Comment 11 Zack Cerza 2007-10-03 11:06:57 EDT
I can't *find* the same control with alsamixer.
Comment 12 Bastien Nocera 2007-10-03 12:08:08 EDT
(In reply to comment #11)
> I can't *find* the same control with alsamixer.

That's because it's a way to mute/disable the input. gnome-volume-control will
show both a switch and a track slider.

Press tab in alsamixer to see the "Mic" track.
Comment 13 Bug Zapper 2008-04-04 09:56:05 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 14 Bug Zapper 2008-11-26 02:51:45 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 15 Bug Zapper 2009-01-09 02:16:52 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.